> For the complete documentation index, see [llms.txt](https://docs.outpoll.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.outpoll.com/api/rest-api/private-endpoints/positions.md).

# Positions

Use API key authentication for every endpoint on this page.

### Get Open Positions

```
GET /api/history/deals/open-positions
```

#### Query parameters

| Parameter | Type    | Required | Default | Description    |
| --------- | ------- | -------- | ------- | -------------- |
| page      | integer | No       | 0       | Page number    |
| size      | integer | No       | 100     | Items per page |

#### Response `200 OK`

```json
{
  "i": [
    {
      "oi": "order-id",
      "ei": "event-id",
      "eoi": "outcome-id",
      "ai": "asset-id",
      "et": "Will BTC reach $100k?",
      "eic": "https://example.com/icon.png",
      "es": "btc-100k-2026",
      "eim": "https://example.com/image.png",
      "on": "Yes",
      "tn": "YES-BTC-100K",
      "ip": true,
      "tsc": 100,
      "asc": 100,
      "sp": 0.5,
      "c": 50,
      "cp": 0.55,
      "v": 55,
      "tpsl": [],
      "pv": 5,
      "pp": 10,
      "od": "2026-01-15T10:30:00Z"
    }
  ],
  "p": 0,
  "s": 100,
  "tp": 1
}
```

| Field | Type    | Description           |
| ----- | ------- | --------------------- |
| oi    | string  | Order ID              |
| ei    | string  | Event ID              |
| eoi   | string  | Event outcome ID      |
| ai    | string  | Asset ID              |
| et    | string  | Event title           |
| eic   | string  | Event icon URL        |
| es    | string  | Event slug            |
| eim   | string  | Event image URL       |
| on    | string  | Outcome name          |
| tn    | string  | Token name            |
| ip    | boolean | Primary outcome flag  |
| tsc   | number  | Total shares count    |
| asc   | number  | Available shares      |
| sp    | number  | Entry price           |
| c     | number  | Cost                  |
| cp    | number  | Current price         |
| v     | number  | Current value         |
| tpsl  | array   | Attached TP/SL orders |
| pv    | number  | PnL value             |
| pp    | number  | PnL percent           |
| od    | string  | Open date             |

### Get Active Orders

```
GET /api/history/deals/active-orders
```

#### Query parameters

| Parameter | Type    | Required | Default | Description    |
| --------- | ------- | -------- | ------- | -------------- |
| page      | integer | No       | 0       | Page number    |
| size      | integer | No       | 100     | Items per page |

#### Response `200 OK`

```json
{
  "i": [
    {
      "oi": "order-id",
      "ei": "event-id",
      "eoi": "outcome-id",
      "ai": "asset-id",
      "et": "Will BTC reach $100k?",
      "eic": "https://example.com/icon.png",
      "es": "btc-100k-2026",
      "on": "Yes",
      "tn": "YES-BTC-100K",
      "ip": true,
      "sc": 100,
      "sp": 0.42,
      "si": "BUY",
      "fq": 0,
      "oq": 100,
      "cp": 0.55,
      "od": "2026-01-15T10:30:00Z",
      "st": "ACTIVE"
    }
  ],
  "p": 0,
  "s": 100,
  "tp": 1
}
```

| Field | Type    | Description           |
| ----- | ------- | --------------------- |
| oi    | string  | Order ID              |
| ei    | string  | Event ID              |
| eoi   | string  | Event outcome ID      |
| ai    | string  | Asset ID              |
| et    | string  | Event title           |
| eic   | string  | Event icon URL        |
| es    | string  | Event slug            |
| on    | string  | Outcome name          |
| tn    | string  | Token name            |
| ip    | boolean | Primary outcome flag  |
| sc    | number  | Shares count          |
| sp    | number  | Share price           |
| si    | string  | Side: `BUY` or `SELL` |
| fq    | number  | Filled quantity       |
| oq    | number  | Original quantity     |
| cp    | number  | Current price         |
| od    | string  | Open date             |
| st    | string  | Status                |

### Related pages

* [Orders](/api/rest-api/private-endpoints/orders.md) for order placement and cancellation.
* [History](/api/rest-api/private-endpoints/history.md) for filled orders and activity.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.outpoll.com/api/rest-api/private-endpoints/positions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
